Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

PowerOffBareMetal2Chassis

PowerOffBareMetal2Chassis

PUT/zstack/v1/baremetal2/chassis/{uuid}/actions

Operation ID

PowerOffBareMetal2Chassis

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the bare metal chassis.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BareMetal2ChassisInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The UUID of the bare metal chassis.

    • name
      StringRequired

      The name of the bare metal chassis.

    • description
      StringRequired

      The detailed description of the bare metal chassis.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • chassisOfferingUuid
      StringRequired

      The chassis offering UUID.

    • type
      StringRequired

      The type of the protocol used to control bare metal chassis and instances.

    • state
      StringRequired

      The state of the chassis.

    • status
      StringRequired

      The distribution status of the chassis.

    • powerStatus
      StringRequired

      The power status of the chassis.

    • createDate
      TimestampRequired

      The time when the chassis was added to the cluster.

    • lastOpDate
      TimestampRequired

      The time when the chassis was last modified.

    • chassisNics
      ListRequired

      See chassisNics.

      • uuid
        StringRequired

        The UUID of the bare metal chassis NIC.

      • chassisUuid
        StringRequired

        The UUID of the bare metal chassis.

      • mac
        StringRequired

        The MAC address of the chassis NIC.

      • speed
        StringRequired

        The data rate of the chassis NIC.

      • isProvisionNic
        BooleanRequired

        Indicates whether the NIC is a provisioned NIC.

      • createDate
        TimestampRequired

        The time when the NIC was created.

      • lastOpDate
        TimestampRequired

        The time when the NIC was last modified.

    • chassisDisks
      ListRequired

      See chassisDisks.

      • uuid
        StringRequired

        The UUID of the chassis disk.

      • chassisUuid
        StringRequired

        The chassis UUID.

      • diskSize
        LongRequired

        The size of the disk storage space, in bytes.

      • type
        StringRequired

        The type of the disk.

      • createDate
        TimestampRequired

        The time when the disk was created.

      • lastOpDate
        TimestampRequired

        The time when the disk was last modified.

    • chassisOffering
      BareMetal2ChassisOfferingInventoryRequired

      See chassisOffering.

      • uuid
        StringRequired

        The chassis offering UUID.

      • name
        StringRequired

        The name of the chassis offering.

      • description
        StringRequired

        The detailed description of the chassis offering.

      • architecture
        StringRequired

        The CPU architecture.

      • cpuModelName
        StringRequired

        The CPU model name.

      • cpuNum
        IntegerRequired

        The number of CPU cores.

      • memorySize
        LongRequired

        The memory size.

      • bootMode
        StringRequired

        The boot mode.

      • state
        StringRequired

        The state of the chassis offering.

      • createDate
        TimestampRequired

        The time when the chassis offering was created.

      • lastOpDate
        TimestampRequired

        The time when the chassis offering was last modified.